Skip to main content
`Ctrl`+`K`

# BVApplyMatrixBV

Multiplies the `BV` vectors by the matrix representation of the inner product.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVApplyMatrixBV(BV X,BV Y)

Neighbor-wise Collective

## Input Parameter

- X - the basis vectors context

## Output Parameter

- Y - the basis vectors to store the result (optional)

## Note

This function computes \(Y = B X\), where \(B\) is the matrix given with `BVSetMatrix()`. This operation is computed as in `BVMatMult()`. If no matrix was specified, then it just copies \(Y = X\).

If no `Y` is given, the result is stored internally in the cached `BV`.

## See Also

BV: Basis Vectors, `BVSetMatrix()`, `BVApplyMatrix()`, `BVMatMult()`, `BVGetCachedBV()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages